--[[

	FlexHub is a server-software for the Direct Connect P2P Network.

	Copyright (C) 2011 Daywalker and FlipFlop, dev@flexhub.org

    This file is part of FlexHub.

    FlexHub is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FlexHub is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with FlexHub.  If not, see <http://www.gnu.org/licenses/agpl.txt>.


]]--

tScript = {

["Init"] = function(self)
	--dofile('./lua/ScriptInterpreter.lua')  --// Adding the Lua scriptwindow here.

	if not _NOGUI then
		--// Put Internal scripts in GUI
		local testarr = wx.wxArrayString()
		for name, value in pairs(tSettings.Scripts.InternalFiles) do
			testarr:Add(name)
		end
	--	tFuncs:GetCtrl("ID_cl_scripts_internal"):Set(testarr)

		--// Put External scripts in GUI
		testarr = wx.wxArrayString()
		for name, value in pairs(tSettings.Scripts.ExternalFiles) do
			testarr:Add(name)
		end
	--	tFuncs:GetCtrl("ID_cl_scripts_external"):Set(testarr)
	end
end,

["StartManager"] = function(self)
end,

["AddScript"] = function(self, file)
end,

["ReloadInternalScripts"] = function(self, file, wait)
--	local sellist = wx.wxArrayInt()
--	local list = tFuncs:GetCtrl("ID_cl_scripts_internal")
--	local selected = list:GetSelections(sellist)

	local counter = 0
	for a,b in pairs(tSettings.Scripts.InternalFiles) do
--		if list:IsSelected(counter) then
			local result,err = pcall(dofile, a)
			if not result then
				local msg = "Error: tScript:ReloadScripts failed, err: "..err
				tFuncs:Debug(msg)
				tFuncs:Debug(msg, "EI")
				tFuncs:SetStatusText("Error: tScript:ReloadScripts failed, err: "..err)
			else
				local msg = "Script: "..a.." reloaded."
				tFuncs:Debug(msg, "EI")
				tFuncs:SetStatusText(msg)
			end
--		else
--		end
		counter = counter+1
	end

end,

["ReloadExternalScripts"] = function(self, file, wait)
--	local sellist = wx.wxArrayInt()
--	local list = tFuncs:GetCtrl("ID_cl_scripts_external")
--	local selected = list:GetSelections(sellist)

	local counter = 0
	for a,b in pairs(tSettings.Scripts.ExternalFiles) do
--		if list:IsSelected(counter) then
			local result,err = pcall(dofile, a)
			if not result then
				local msg = "Error: tScript:ReloadScripts failed, err: "..err
				tFuncs:Debug(msg)
				tFuncs:Debug(msg, "EI")
				tFuncs:SetStatusText("Error: tScript:ReloadScripts failed, err: "..err)
			else
				local msg = "Script: "..a.." successfully reloaded."
				tFuncs:Debug(msg, "EI")
				tFuncs:SetStatusText(msg)
			end
--		else
--		end
		counter = counter+1
	end

end,

["OpenScript"] = function(self, file)
end,

["SaveScript"] = function(self, file)
end,

}
